Importing git repo from http://git.participatoryculture.org/miro/ fails

Bug #570728 reported by Данило Шеган on 2010-04-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Bazaar Git Plugin
High
Jelmer Vernooij
Launchpad itself
High
Tim Penhey

Bug Description

After bug 438929 was fixed I thought we should be able to use http URL for miro player branches:

  https://code.edge.launchpad.net/~vcs-imports/democracy/trunk

That part of it works, but mirroring the branch fails with the following traceback:

2010-04-27 13:58:09 INFO Starting job.
2010-04-27 13:58:09 INFO Getting exising bzr branch from central store.
2010-04-27 13:58:10 INFO 209 bytes transferred |
2010-04-27 13:58:11 INFO Importing foreign branch.
2010-04-27 13:58:12 INFO finding revisions to fetch 0
2010-04-27 13:58:45 INFO
Traceback (most recent call last):
  File "/srv/importd.launchpad.net/production/launchpad-rev-9193/scripts/code-import-worker.py", line 82, in <module>
    sys.exit(script.main())
  File "/srv/importd.launchpad.net/production/launchpad-rev-9193/scripts/code-import-worker.py", line 77, in main
    return import_worker.run()
  File "/srv/importd.launchpad.net/production/launchpad-rev-9193/lib/lp/codehosting/codeimport/worker.py", line 434, in run
    return self._doImport()
  File "/srv/importd.launchpad.net/production/launchpad-rev-9193/lib/lp/codehosting/codeimport/worker.py", line 572, in _doImport
    overwrite=True, **self.getExtraPullArgs())
  File "/srv/importd.launchpad.net/production/launchpad-rev-9193/optionalbzrplugins/git/branch.py", line 453, in pull
    stop_revision, overwrite=overwrite, graph=graph, limit=limit)
  File "/srv/importd.launchpad.net/production/launchpad-rev-9193/optionalbzrplugins/git/branch.py", line 403, in _update_revisions
    determine_wants, self.source.mapping, limit=limit)
  File "/srv/importd.launchpad.net/production/launchpad-rev-9193/optionalbzrplugins/git/fetch.py", line 568, in fetch_objects
    target_git_object_retriever, wants, pb, limit)
  File "/srv/importd.launchpad.net/production/launchpad-rev-9193/optionalbzrplugins/git/fetch.py", line 383, in import_git_objects
    o = lookup_object(head)
  File "/srv/importd.launchpad.net/production/launchpad-rev-9193/optionalbzrplugins/git/fetch.py", line 369, in lookup_object
    return object_iter[sha]
  File "/srv/importd.launchpad.net/production/launchpad-rev-9193/lib/dulwich/object_store.py", line 101, in __getitem__
    type_num, uncomp = self.get_raw(sha)
  File "/srv/importd.launchpad.net/production/launchpad-rev-9193/lib/dulwich/object_store.py", line 300, in get_raw
    for pack in self.packs:
  File "/srv/importd.launchpad.net/production/launchpad-rev-9193/lib/dulwich/object_store.py", line 267, in packs
    if self._pack_cache is None or self._pack_cache_stale():
  File "/srv/importd.launchpad.net/production/launchpad-rev-9193/lib/dulwich/object_store.py", line 255, in _pack_cache_stale
    raise NotImplementedError(self._pack_cache_stale)
NotImplementedError: <bound method TransportObjectStore._pack_cache_stale of <bzrlib.plugins.git.transportgit.TransportObjectStore object at 0x31b4310>>
Import failed:
Traceback (most recent call last):
Failure: twisted.internet.error.ProcessTerminated: A process has ended with a probable error condition: process ended with exit code 1.

(this is most likely bzr-git bug, but filing it here so those in the know reassign it where it belongs)

Related branches

Tim Penhey (thumper) on 2010-04-27
Changed in launchpad-code:
status: New → Triaged
importance: Undecided → High
Michael Hudson-Doyle (mwhudson) wrote :

FWIW, I think an upgrade to dulwich and/or bzr-git should fix this.

Jelmer Vernooij (jelmer) on 2010-04-27
Changed in bzr-git:
status: New → Fix Released
importance: Undecided → High
assignee: nobody → Jelmer Vernooij (jelmer)

I see Jelmer updated lp:~launchpad-pqm/bzr-git/devel — what else do we need to do to get the fix to our users?

On Wed, 2010-04-28 at 14:27 +0000, Данило Шеган wrote:
> I see Jelmer updated lp:~launchpad-pqm/bzr-git/devel — what else do we
> need to do to get the fix to our users?
I've committed a fix to lp:bzr-git, but before it's used on Launchpad we
need to merge a newer version of bzr-git into
lp:~launchpad-pqm/bzr-git/devel and update the revision number in
sourcedeps.conf.

Cheers,

Jelmer

That's exactly why I am asking: lp:bzr-git has last seen a commit ~40h ago, and lp:~launchpad-pqm/bzr-git/devel was synced with it ~16h ago. So you either missed to commit a fix there, or you've already synced LP branch and we only need to update sourcedeps.conf?

Changed in launchpad-code:
assignee: nobody → Данило Шеган (danilo)
status: Triaged → In Progress

Ok, so it was mwhudson who updated the lp:~launchpad-pqm/bzr-git/devel: sorry about the confusion. I'm upping sourcedeps.conf as well.

I am sending this through ec2 land: Tim, Michael, if you don't like that, just let me know and I'll revert it.

Tim Penhey (thumper) on 2010-04-28
Changed in launchpad-code:
milestone: none → 10.04
assignee: Данило Шеган (danilo) → Tim Penhey (thumper)
Michael Hudson-Doyle (mwhudson) wrote :

unfortunately trying to land the update to dulwich through PQM blew up with some kind of bzr error from PQM :/

Not sure what to do now.

Tim Penhey (thumper) wrote :

Gah, with all the confusion and issues around the end of week three, it looks like we missed this.

I'll try to get it cherry picked and rolled soon.

Changed in launchpad-code:
milestone: 10.04 → 10.05
Jelmer Vernooij (jelmer) wrote :

I think this was fixed on the 18th, should it be marked fixcommitted?

I just retried updating the branch and it failed with the same error message.

Branch:

https://code.launchpad.net/~vcs-imports/democracy/trunk

Error log:

http://launchpadlibrarian.net/49236390/vcs-imports-democracy-trunk.log

2010-05-27 23:44:32 INFO Starting job.
2010-05-27 23:44:32 INFO Getting exising bzr branch from central store.
2010-05-27 23:44:33 INFO 209 bytes transferred |
2010-05-27 23:44:34 INFO Importing foreign branch.
2010-05-27 23:44:35 INFO finding revisions to fetch 0
2010-05-27 23:45:12 INFO
Traceback (most recent call last):
  File "/srv/importd.launchpad.net/production/launchpad-rev-9329/scripts/code-import-worker.py", line 82, in <module>
    sys.exit(script.main())
  File "/srv/importd.launchpad.net/production/launchpad-rev-9329/scripts/code-import-worker.py", line 77, in main
    return import_worker.run()
  File "/srv/importd.launchpad.net/production/launchpad-rev-9329/lib/lp/codehosting/codeimport/worker.py", line 437, in run
    return self._doImport()
  File "/srv/importd.launchpad.net/production/launchpad-rev-9329/lib/lp/codehosting/codeimport/worker.py", line 575, in _doImport
    overwrite=True, **self.getExtraPullArgs())
  File "/srv/importd.launchpad.net/production/launchpad-rev-9329/optionalbzrplugins/git/branch.py", line 453, in pull
    stop_revision, overwrite=overwrite, graph=graph, limit=limit)
  File "/srv/importd.launchpad.net/production/launchpad-rev-9329/optionalbzrplugins/git/branch.py", line 403, in _update_revisions
    determine_wants, self.source.mapping, limit=limit)
  File "/srv/importd.launchpad.net/production/launchpad-rev-9329/optionalbzrplugins/git/fetch.py", line 568, in fetch_objects
    target_git_object_retriever, wants, pb, limit)
  File "/srv/importd.launchpad.net/production/launchpad-rev-9329/optionalbzrplugins/git/fetch.py", line 383, in import_git_objects
    o = lookup_object(head)
  File "/srv/importd.launchpad.net/production/launchpad-rev-9329/optionalbzrplugins/git/fetch.py", line 369, in lookup_object
    return object_iter[sha]
  File "/srv/importd.launchpad.net/production/launchpad-rev-9329/lib/dulwich/object_store.py", line 101, in __getitem__
    type_num, uncomp = self.get_raw(sha)
  File "/srv/importd.launchpad.net/production/launchpad-rev-9329/lib/dulwich/object_store.py", line 300, in get_raw
    for pack in self.packs:
  File "/srv/importd.launchpad.net/production/launchpad-rev-9329/lib/dulwich/object_store.py", line 267, in packs
    if self._pack_cache is None or self._pack_cache_stale():
  File "/srv/importd.launchpad.net/production/launchpad-rev-9329/lib/dulwich/object_store.py", line 255, in _pack_cache_stale
    raise NotImplementedError(self._pack_cache_stale)
NotImplementedError: <bound method TransportObjectStore._pack_cache_stale of <bzrlib.plugins.git.transportgit.TransportObjectStore object at 0x322fad0>>
Import failed:
Traceback (most recent call last):
Failure: twisted.internet.error.ProcessTerminated: A process has ended with a probable error condition: process ended with exit code 1.

So it seems like it's not fixed.

Jelmer Vernooij (jelmer) wrote :

The changes from the 15th haven't been rolled out yet so that branch wouldn't work until the next Launchpad release anyway.

Tim Penhey (thumper) on 2010-05-28
Changed in launchpad-code:
status: In Progress → Fix Committed
Curtis Hovey (sinzui) on 2010-06-02
Changed in launchpad-code:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers